net.sf.okapi.common.annotation

## Enum XLIFFNote.Annotates

- java.lang.Object
- - java.lang.Enum<XLIFFNote.Annotates>
  - - net.sf.okapi.common.annotation.XLIFFNote.Annotates

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XLIFFNote.Annotates>
  Enclosing class:
    XLIFFNote

      public static enum XLIFFNote.Annotates
      extends java.lang.Enum<XLIFFNote.Annotates>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERAL`
    `SOURCE`
    `TARGET`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XLIFFNote.Annotates` | `fromString(java.lang.String value)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `value()`
    `static XLIFFNote.Annotates` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XLIFFNote.Annotates[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOURCE

          public static final XLIFFNote.Annotates SOURCE

    - #### TARGET

          public static final XLIFFNote.Annotates TARGET

    - #### GENERAL

          public static final XLIFFNote.Annotates GENERAL

  - ### Method Detail

    - #### values

          public static XLIFFNote.Annotates[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XLIFFNote.Annotates c : XLIFFNote.Annotates.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XLIFFNote.Annotates valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromString

          public static XLIFFNote.Annotates fromString(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<XLIFFNote.Annotates>`